/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Gestational Age Equations And Tables
 */
public enum EnumCM_GestationalAgeEquationsAndTables 
{
	//CID 12013 Gestational Age Equations And Tables
	GESTATIONAL_AGE_BY_LMP("Gestational Age by LMP"),
	AVERAGE_ULTRASOUND_AGE("Average Ultrasound Age"),
	AC_ASUM_2000("AC, ASUM 2000"),
	AC_CAMPBELL_1975("AC, Campbell 1975"),
	AC_HADLOCK_1984("AC, Hadlock 1984"),
	AC_HANSMANN1985("AC, Hansmann1985"),
	AC_JEANTY_1982("AC, Jeanty 1982"),
	AC_JEANTY_1984("AC, Jeanty 1984"),
	AC_LESSOWAY_1998("AC, Lessoway 1998"),
	AC_MERTZ_1988("AC, Mertz 1988"),
	AC_SHINOZUKA_1996("AC, Shinozuka 1996"),
	A_P_ABDOMINAL_DIAMETER_LESSOWAY_1998("A-P Abdominal Diameter, Lessoway 1998"),
	AXT_SHINOZUKA_1996("AxT, Shinozuka 1996"),
	BPD_ASUM_1989("BPD, ASUM 1989"),
	BPD_DOUBILET_1993("BPD, Doubilet 1993"),
	BPD_HADLOCK_1984("BPD, Hadlock 1984"),
	BPD_HANSMANN_1985("BPD, Hansmann 1985"),
	BPD_HANSMANN_1986("BPD, Hansmann 1986"),
	BPD_JEANTY_1982("BPD, Jeanty 1982"),
	BPD_JEANTY_1984("BPD, Jeanty 1984"),
	BPD_KURTZ_1980("BPD, Kurtz 1980"),
	BPD_LESSOWAY_1998("BPD, Lessoway 1998"),
	BPD_MERTZ_1988("BPD, Mertz 1988"),
	BPD_OSAKA_1989("BPD, Osaka 1989"),
	BPD_REMPEN_1991("BPD, Rempen 1991"),
	BPD_SABBAGHA_1978("BPD, Sabbagha 1978"),
	BPD_SHINOZUKA_1996("BPD, Shinozuka 1996"),
	BPD_TOKYO_1986("BPD, Tokyo 1986"),
	BPDA_HADLOCK_1982("BPDa, Hadlock 1982"),
	BPD_OI_CHITTY_1997("BPD-oi, Chitty 1997"),
	BPD_OO_CHITTY_1997("BPD-oo, Chitty 1997"),
	CLAVICLE_LENGTH_YARKONI_1985("Clavicle length, Yarkoni 1985"),
	CRL_ASUM_1991("CRL, ASUM 1991"),
	CRL_ASUM_2000("CRL, ASUM 2000"),
	CRL_DAYA_1993("CRL, Daya 1993"),
	CRL_HADLOCK_1992("CRL, Hadlock 1992"),
	CRL_HANSMANN_1985("CRL, Hansmann 1985"),
	CRL_HANSMANN_1986("CRL, Hansmann 1986"),
	CRL_JEANTY_1982("CRL, Jeanty 1982"),
	CRL_JEANTY_1984("CRL, Jeanty 1984"),
	CRL_NELSON_1981("CRL, Nelson 1981"),
	CRL_OSAKA_1989("CRL, Osaka 1989"),
	CRL_REMPEN_1991("CRL, Rempen 1991"),
	CRL_ROBINSON_1975("CRL, Robinson 1975"),
	CRL_SHINOZUKA_1996("CRL, Shinozuka 1996"),
	CRL_TOKYO_1986("CRL, Tokyo 1986"),
	FIBULA_JEANTY_1983("Fibula, Jeanty 1983"),
	FIBULA_MERZ_1987("Fibula, Merz 1987"),
	FL_CHITTY_1997("FL, Chitty 1997"),
	FL_HADLOCK_1984("FL, Hadlock 1984"),
	FL_HANSMANN_1985("FL, Hansmann 1985"),
	FL_HANSMANN_1986("FL, Hansmann 1986"),
	FL_HOHLER_1982("FL, Hohler 1982"),
	FL_JEANTY_1982("FL, Jeanty 1982"),
	FL_JEANTY_1984("FL, Jeanty 1984"),
	FL_LESSOWAY_1998("FL, Lessoway 1998"),
	FL_MERZ_1987("FL, Merz 1987"),
	FL_MERZ_1988("FL, Merz 1988"),
	FL_OSAKA_1989("FL, Osaka 1989"),
	FL_SHINOZUKA_1996("FL, Shinozuka 1996"),
	FL_TOKYO_1986("FL, Tokyo 1986"),
	FOOT_LENGTH_MERCER_1987("Foot Length, Mercer 1987"),
	GS_DAYA_1991("GS, Daya 1991"),
	GS_HANSMANN_1979("GS, Hansmann 1979"),
	GS_HANSMANN_1982("GS, Hansmann 1982"),
	GS_HELLMAN_1969("GS, Hellman 1969"),
	GS_NYBERG_1992("GS, Nyberg 1992"),
	GS_REMPEN_1991("GS, Rempen 1991"),
	GS_TOKYO_1986("GS, Tokyo 1986"),
	HC_ASUM_2000("HC, ASUM 2000"),
	HC_MEASURED_CHITTY_1997("HC measured, Chitty 1997"),
	HC_DERIVED_CHITTY_1997("HC derived, Chitty 1997"),
	HC_HADLOCK_1984("HC, Hadlock 1984"),
	HC_HANSMANN_1985("HC, Hansmann 1985"),
	HC_HANSMANN_1986("HC, Hansmann 1986"),
	HC_JEANTY_1982("HC, Jeanty 1982"),
	HC_JEANTY_1984("HC, Jeanty 1984"),
	HC_LESSOWAY_1998("HC, Lessoway 1998"),
	HC_MERZ_1988("HC Merz, 1988"),
	HUMERUS_LENGTH_ASUM_2000("Humerus Length, ASUM 2000"),
	HUMERUS_JEANTY_1984("Humerus, Jeanty 1984"),
	HUMERUS_MERZ_1987("Humerus, Merz 1987"),
	HUMERUS_LENGTH_OSAKA_1989("Humerus Length, Osaka 1989"),
	LENGTH_OF_VERTEBRA_TOKYO_1986("Length of Vertebra, Tokyo 1986"),
	OFD_ASUM_2000("OFD, ASUM 2000"),
	OFD_HANSMANN_1985("OFD, Hansmann 1985"),
	OFD_HANSMANN_1986("OFD, Hansmann 1986"),
	OFD_LESSOWAY_1998("OFD, Lessoway 1998"),
	IOD_MAYDEN_1982("IOD, Mayden 1982"),
	IOD_TROUT_1994("IOD, Trout 1994"),
	BD_JEANTY_1982("BD, Jeanty 1982"),
	OOD_MAYDEN_1982("OOD, Mayden, 1982"),
	OOD_TROUT_1994("OOD, Trout 1994"),
	RADIUS_JEANTY_1983("Radius, Jeanty 1983"),
	RADIUS_MERZ_1987("Radius, Merz 1987"),
	SPINE_LENGTH_TOKYO_1989("Spine Length, Tokyo, 1989"),
	TIBIA_JEANTY_1984("Tibia, Jeanty 1984"),
	TAD_ERIKSEN_1985("TAD, Eriksen 1985"),
	TAD_HANSMANN_1979("TAD Hansmann, 1979"),
	TAD_TOKYO_1986("TAD, Tokyo 1986"),
	THC_CHITKARA_1987("ThC, Chitkara 1987"),
	TCD_CHITTY_1994("TCD, Chitty 1994"),
	TCD_GOLDSTEIN_1987("TCD, Goldstein 1987"),
	TCD_HILL_1990("TCD, Hill 1990"),
	TCD_NIMROD_1986("TCD, Nimrod 1986"),
	TRANSVERSE_THORACIC_DIAMETER_HANSMANN_1985("Transverse Thoracic Diameter, Hansmann 1985"),
	TRANSVERSE_THORACIC_DIAMETER_LESSOWAY_1998("Transverse Thoracic Diameter, Lessoway 1998"),
	FETAL_TRUNK_CROSS_SECTIONAL_AREA_OSAKA_1989("Fetal Trunk Cross-Sectional Area, Osaka 1989"),
	ULNA_JEANTY_1984("Ulna, Jeanty 1984"),
	ULNA_MERZ_1987("Ulna, Merz 1987");	

	private String value;
	
	EnumCM_GestationalAgeEquationsAndTables(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
